tigase.jaxmpp.core.client.xmpp.modules.presence

## Class PresenceModule.ContactAvailableHandler.ContactAvailableEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<PresenceModule.ContactAvailableHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.presence.PresenceModule.ContactAvailableHandler.ContactAvailableEvent

- Enclosing interface:
    PresenceModule.ContactAvailableHandler

      public static class PresenceModule.ContactAvailableHandler.ContactAvailableEvent
      extends JaxmppEvent<PresenceModule.ContactAvailableHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContactAvailableEvent(SessionObject sessionObject, Presence presence, JID jid, Presence.Show show, String statusMessage, Integer priority)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(PresenceModule.ContactAvailableHandler handler)` Invokes handlers method.
    `JID` | `getJid()`
    `Integer` | `getPriority()`
    `Presence.Show` | `getShow()`
    `Presence` | `getStanza()`
    `String` | `getStatus()`
    `void` | `setJid(JID jid)`
    `void` | `setPriority(Integer priority)`
    `void` | `setShow(Presence.Show show)`
    `void` | `setStanza(Presence stanza)`
    `void` | `setStatus(String status)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContactAvailableEvent

          public ContactAvailableEvent(SessionObject sessionObject,
                                       Presence presence,
                                       JID jid,
                                       Presence.Show show,
                                       String statusMessage,
                                       Integer priority)

  - ### Method Detail

    - #### dispatch

          protected void dispatch(PresenceModule.ContactAvailableHandler handler)
                           throws JaxmppException

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<PresenceModule.ContactAvailableHandler>`
      Parameters:
        `handler` - handler
      Throws:
        `JaxmppException`

    - #### getJid

          public JID getJid()

    - #### getPriority

          public Integer getPriority()

    - #### getShow

          public Presence.Show getShow()

    - #### getStanza

          public Presence getStanza()

    - #### getStatus

          public String getStatus()

    - #### setJid

          public void setJid(JID jid)

    - #### setPriority

          public void setPriority(Integer priority)

    - #### setShow

          public void setShow(Presence.Show show)

    - #### setStanza

          public void setStanza(Presence stanza)

    - #### setStatus

          public void setStatus(String status)

Copyright © 2006–2016 Tigase. All rights reserved.